### Virtual Method

# Gio AppInfo get_supported_types

since: 2.34

#### Declaration

    const char**
    get_supported_types (
      GAppInfo* appinfo
    )

#### Description

Retrieves the list of content types that `app_info` claims to support. If this information is not provided by the environment, this function will return `NULL`. This function does not take in consideration associations added with g_app_info_add_supports_type(), but only those exported directly by the application.

Available since: 2.34

#### Return value

Type: An array of `utf8`

a list of content types.

The array is `NULL`-terminated.
The data is owned by the called function.
Each element is a NUL terminated UTF-8 string.